Get commission statistics
GET
/api/v1/commissions/stats
const url = 'https://example.com/api/v1/commissions/stats?from=2026-04-15T12%3A00%3A00Z&to=2026-04-15T12%3A00%3A00Z&granularity=day';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/v1/commissions/stats?from=2026-04-15T12%3A00%3A00Z&to=2026-04-15T12%3A00%3A00Z&granularity=day' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” from
required
string format: date-time
Start of the period (inclusive), ISO 8601
to
required
string format: date-time
End of the period (exclusive), ISO 8601
granularity
required
string
Bucket size for the time series
partner_ids
Array<string>
Filter by partner IDs
workspace_ids
Array<string>
Filter by workspace IDs
Responses
Section titled “ Responses ”OK
Media type application/json
object
summary
required
object
count
required
integer
settled
required
object
count
required
integer
amounts
required
Array<object>
object
currency
required
ISO 4217 currency code
string
amount
required
Aggregated amount in the smallest unit for the given currency
integer
unsettled
required
object
count
required
integer
amounts
required
Array<object>
object
currency
required
ISO 4217 currency code
string
amount
required
Aggregated amount in the smallest unit for the given currency
integer
buckets
required
Array<object>
object
timestamp
required
string format: date-time
count
required
integer
settled
required
object
count
required
integer
amounts
required
Array<object>
object
currency
required
ISO 4217 currency code
string
amount
required
Aggregated amount in the smallest unit for the given currency
integer
unsettled
required
object
count
required
integer
amounts
required
Array<object>
object
currency
required
ISO 4217 currency code
string
amount
required
Aggregated amount in the smallest unit for the given currency
integer
Example generated
{ "summary": { "count": 1, "settled": { "count": 1, "amounts": [ { "currency": "example", "amount": 1 } ] }, "unsettled": { "count": 1, "amounts": [ { "currency": "example", "amount": 1 } ] } }, "buckets": [ { "timestamp": "2026-04-15T12:00:00Z", "count": 1, "settled": { "count": 1, "amounts": [ { "currency": "example", "amount": 1 } ] }, "unsettled": { "count": 1, "amounts": [ { "currency": "example", "amount": 1 } ] } } ]}Bad request
Media type application/json
object
error_code
required
string
message
required
string
Example
{ "error_code": "UNAUTHORIZED", "message": "Authentication credentials were not provided or are invalid."}Unauthorized
Media type application/json
object
error_code
required
string
message
required
string
Example
{ "error_code": "UNAUTHORIZED", "message": "Authentication credentials were not provided or are invalid."}Internal server error
Media type application/json
object
error_code
required
string
message
required
string
Example
{ "error_code": "UNAUTHORIZED", "message": "Authentication credentials were not provided or are invalid."}